﻿# 阅读实验源代码
**main.c文件**   
在main函数中首先创建了赫夫曼树的初始状态，然后调用函数HuffmanTree构造赫夫曼树。   
在main函数的后面，定义了赫夫曼函数HuffmanTree，此函数的函数体还不完整，留给读者完成。   
**HuffmanTree.h文件**   
定义了与赫夫曼树相关的数据结构并声明了相关的操作函数。   
# 在演示模式下调试项目
**按照下面的步骤调试项目：**
1.	按F7生成项目。
2.	在演示模式下，按F5启动调试项目。程序会在观察点函数的开始位置中断。
3.	重复按F5，直到调试过程结束。

在调试的过程中，每执行“演示流程”窗口中的一行后，仔细观察“可视化数据”窗口内容所发生的变化，理解赫夫曼函数的执行过程。“可视化数据”窗口显示的数据信息（如下图所示），包括：
-	赫夫曼树的存储结构，包括内部结点和外部结点。   
-	可以看到最小和次小节点权值及游标。可以显示最小和次小结点的查找过程，已查找出的最小和次小结点的填充色为灰色。   
-	赫夫曼树的存储结构，对应的当前值与上一次值不相同时，用红色的字体显示出来。   
-	在根据已选出的最小和次小结点，构造的哈夫曼树中，内部结点使用双线的边框，外部结点使用单线的边框。  

![赫夫曼树的构造](./img/13.png)

# 编写源代码并通过验证
**按照下面的步骤继续实验：**
1.	为HuffmanTree函数编写源代码。注意，尽量使用已定义的局部变量。
2.	按F7生成项目。如果生成失败，根据“输出”窗口中的提示信息修改源代码中的语法错误。
3.	按Alt+F5启动验证。如果验证失败，可以使用“输出”窗口中的“比较”功能，或者在“非演示模式”下按F5启动调试后重复按F10单步调试读者编写的源代码，从而定位错误的位置，然
后回到步骤1。
 
# 教师参考答案
访问教师参考答案[domain relative url](engintime/ds-lab/teachers-packet/Lab013.git)